Bug 249868 - emulators/wine-devel: remove wineapploader.in patch
Summary: emulators/wine-devel: remove wineapploader.in patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-24 23:35 UTC by Alex S
Modified: 2020-10-01 19:54 UTC (History)
0 users

See Also:
gerald: maintainer-feedback+


Attachments
get rid of wine6464 (582 bytes, patch)
2020-09-24 23:35 UTC, Alex S
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex S 2020-09-24 23:35:01 UTC
Created attachment 218269 [details]
get rid of wine6464

This is no longer necessary since https://source.winehq.org/git/wine.git/commitdiff/57f9c33c08782399d6729bc58b68d73812560638 and it breaks fallback logic by changing `wine64` to `wine6464`.
Comment 1 Gerald Pfeifer freebsd_committer 2020-09-26 10:55:29 UTC
Thanks, I am looking into it.
Comment 2 commit-hook freebsd_committer 2020-09-26 14:29:33 UTC
A commit references this bug:

Author: gerald
Date: Sat Sep 26 14:28:32 UTC 2020
New revision: 550190
URL: https://svnweb.freebsd.org/changeset/ports/550190

Log:
  No longer hack tools/wineapploader.in to account for wine64 vs wine.

  Since upstream commit
  https://source.winehq.org/git/wine.git/commitdiff/57f9c33c08782399d6729bc58b68d73812560638
  this hasn't been necessary any longer and it did actually break things
  afterwards by replacing wine64 with wine6464.

  PR:		249868
  Submitted by:	Alex S <iwtcex@gmail.com>

Changes:
  head/emulators/wine-devel/Makefile
Comment 3 Gerald Pfeifer freebsd_committer 2020-09-26 14:32:21 UTC
Thank you for the report, analysis, and patch, Alex!

I applied this to wine-devel for now and am planning to push it to
the main wine port a bit later. (You did not mention that explictely,
but I think it makes sense.)
Comment 4 commit-hook freebsd_committer 2020-10-01 19:54:44 UTC
A commit references this bug:

Author: gerald
Date: Thu Oct  1 19:53:49 UTC 2020
New revision: 550871
URL: https://svnweb.freebsd.org/changeset/ports/550871

Log:
  Backport revision r550190 from emulators/wine-devel:

    No longer hack tools/wineapploader.in to account for wine64 vs wine.

    Since upstream commit
  https://source.winehq.org/git/wine.git/commitdiff/57f9c33c08782399d6729bc58b
  68d73812560638
    this hasn't been necessary any longer and it did actually break things
    afterwards by replacing wine64 with wine6464.

  PR:		249868
  Submitted by:	Alex S <iwtcex@gmail.com>

Changes:
  head/emulators/wine/Makefile